curl --request GET \
--url https://api.splose.com/v1/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.splose.com/v1/contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"type": "Standard",
"name": "Plan Manager",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"associatedPatientIds": [
123
],
"associatedInvoiceIds": [
123
],
"associatedCaseIds": [
123
],
"email": "harry@hogwarts.edu",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single contact
Get contact data by id
curl --request GET \
--url https://api.splose.com/v1/contacts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/contacts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/contacts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.splose.com/v1/contacts/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"type": "Standard",
"name": "Plan Manager",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"associatedPatientIds": [
123
],
"associatedInvoiceIds": [
123
],
"associatedCaseIds": [
123
],
"email": "harry@hogwarts.edu",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with contact data.
Contact id
x > 01
Contact type
"Standard"
Contact name
"Plan Manager"
Contact title
"Mr."
Contact first name
"Harry"
Contact last name
"Potter"
Contact preferred name
"Harry"
Contact occupation
"Contractor"
Contact company name
"splose"
Contact provider number
"12345678"
Contact doctor type
"GP"
The associated patients' id in this contact
The associated invoices' id in this contact
The associated invoices' id in this contact
Contact email
"harry@hogwarts.edu"
Contact address line 1
"123 King William Street"
Contact address line 2
""
Contact address line 3
""
Contact city
"Adelaide"
Contact state
"SA"
Contact post code
"5000"
Contact country
"Australia"
Show child attributes
Show child attributes
Whether the contact has been archived
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"